@charset "UTF-8";

/* ==============================
   Variablen
============================== */
:root {
  --bs-light: #f6f7eb;
  --bs-dark: #c5b9b2;
  --bs-primary: #c7cbb4;
  --bs-text: #2E2E2E;
}

/* ==============================
   Fonts
============================== */
@font-face {
  font-family: "Nunito";
  src: url("/assets/fonts/NunitoSans.ttf") format("ttf");
  font-weight: normal;
  font-style: normal;
}

/* ==============================
   Basis
============================== */
body {
  background-color: var(--bs-light);
  margin: 0;
  color: var(--bs-text);
  font-family: "Nunito", sans-serif;
  font-size: 1rem;
  line-height: 1.5;
}

main {
  margin-top: 100px;
}

main.gradient {
  background: linear-gradient(to bottom, var(--bs-light) 50%, var(--bs-primary));
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--bs-text);
  font-weight: bold;
}

h1 {
  font-size: 1.75rem;
}

h2 {
  font-size: 1.25rem;
}

a {
  color: var(--bs-text);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

li {
  margin-bottom: 0.5rem;
}

.text {
  color: var(--bs-text) !important;
}

@media (min-width: 992px) {
  body {
    font-size: 1.5rem;
  }

  h1 {
    font-size: 2.65rem;
  }

  h2 {
    font-size: 2rem;
  }
}

/* ==============================
   Navbar
============================== */

.navbar {
  background-color: var(--bs-dark) !important;
  box-shadow: 0px 3px 10px rgba(46, 46, 46, 0.48);
  z-index: 99;
}

.navbar-brand:hover {
  text-decoration: none;
}

.navbar-brand img:nth-of-type(2) {
  margin-left: -8px;
  margin-bottom: -3px;
}

.navbar .nav-link {
  color: var(--bs-text);
  font-family: 'Nunito', sans-serif;
  font-size: 1.25rem;
  transition: color 0.2s ease, text-decoration 0.2s ease;
}

.navbar .nav-link:hover,
.navbar .nav-link:focus {
  text-decoration: underline;
}

/* Telefon-Button */
.btn-outline-dark {
  background-color: var(--bs-light);
  border-color: var(--bs-text);
  color: var(--bs-text);
  font-weight: bold;
  border-radius: 8px;
  padding: 8px 12px;
}

.btn-outline-dark:hover {
  background-color: var(--bs-light);
  border-color: var(--bs-text);
  color: var(--bs-text);
  box-shadow: -10px 0px 13px -7px #C7CBB4, 10px 0px 13px -7px #C7CBB4, 5px 5px 15px 5px #C7CBB4;
  text-decoration: none;
}

.btn-outline-dark:focus {
  background-color: var(--bs-light) !important;
  color: var(--bs-text) !important;
}

.tel {
  vertical-align: middle;
  padding-right: 4px;
  width: 28px;
}

@media (min-width: 992px) {
  .navbar .dropdown:hover .dropdown-menu {
    display: block;
  }
}

/* ==============================
   Section Layout
============================== */
section.light {
  background-color: var(--bs-light);
}

section.dark {
  background-color: var(--bs-dark);
}

section.accent {
  background-color: var(--bs-primary);
}

section .container {
  max-width: 900px;
  margin: auto;
}

section .container.slim {
  max-width: 620px;
}

section .container.fit {
  max-width: fit-content;
}

/* ==============================
   Hero
============================== */
.hero-section {
  width: 100%;
  height: 60vh;
  overflow: hidden;
  position: relative;
  margin-bottom: 3rem;
}

/* .hero-section.index {
  background: url('img/dahmesonnenaufgüberghundestrosten04-17-6747.jpg') center/cover no-repeat;
  background: image-set(url('img/dahmesonnenaufgüberghundestrosten04-17-6747.jpg') type("image/avif")) center/cover no-repeat;
} */

.hero-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.hero-double {
  display: flex;
  height: 60vh;
}

.hero-double .hero-image {
  flex: 1;
  overflow: hidden;
}

.hero-image img,
.hero-double img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.hero-double img {
  object-position: 90% 0%;
}

.hero-double .hero-image:nth-child(2) {
  display: none;
}

/* Tablet >=768px */
@media (min-width: 768px) {
  .hero-section {
    height: 60vh;
  }

  .hero-double {
    height: 60vh;
  }

  .hero-double .hero-image:nth-child(2) {
    display: block;
  }

  .logo {
    width: 150px;
  }

  .logo-text {
    width: 75%;
  }
}

/* Desktop >=992px */
@media (min-width: 992px) {

  .hero-section,
  .hero-double {
    height: 65vh;
  }

  .hero-double img {
    object-position: center;
  }

  .logo {
    top: 20px;
    left: 20px;
    width: 70px;
    position: absolute;
  }

  .logo-text {
    bottom: 20px;
    right: 0;
    width: 100%;
    position: absolute;
  }
}

/* ==============================
   Footer
============================== */
footer {
  background-color: var(--bs-dark);
  color: var(--bs-text);
  text-align: center;
  padding: 2rem 0;
}

footer h2 {
  font-weight: normal;
}

/* ==============================
   Impressum & Datenschutz
============================== */

#imprint h2, #privacy h2 {
  margin-top: 3rem;
}

#privacy h3 {
  margin-top: 1.5rem;
}

#privacy h4 {
  margin-top: 1.5rem;
}

/* ==============================
   Map
============================== */
#map {
  height: 400px;
  width: 90%;
  position: relative;
  margin: 0 auto 3rem;
  z-index: 50;
}

@media (min-width: 576px) {
  #map {
    width: 70%;
  }
}

.leaflet-layer {
  filter: grayscale(0.3);
}

/* ===================
   Timeline
==================== */

.timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
  padding-bottom: 50px;
  z-index: 0;
}

/* Linie */
.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: white;
  top: 40px;
  bottom: var(--line-bottom, 200px);
  left: 28px;
  z-index: 0;
}

.timeline::before {
  content: '';
  position: absolute;
  width: 6px;
  background-color: var(--bs-primary);
  top: 40px;
  left: 28px;
  height: var(--progress-height, 4px);
  z-index: 1;
  pointer-events: none;
}

/* Container */
.timeline-container {
  position: relative;
  width: 100%;
  padding: 10px 25px 80px 70px;
  background-color: inherit;
  z-index: 1;
}

/* Punkt */
.timeline-container::after {
  content: '';
  position: absolute;
  width: 33px;
  height: 33px;
  left: 31px;
  top: 40px;
  transform: translateX(-50%);
  background-color: white;
  border: 4px solid var(--bs-primary);
  border-radius: 50%;
  z-index: 2;
}

/* Pfeil */
.timeline-container::before {
  content: '';
  position: absolute;
  top: 50px;
  left: 66px;
  transform: translateX(-50%);
  border: medium solid var(--bs-primary);
  border-width: 10px 10px 10px 0;
  border-color: transparent var(--bs-primary) transparent transparent;
  z-index: 1;
}

.timeline ul {
  list-style-type: "→ ";
}

/* Content */
.content {
  margin-top: 10px;
  padding: 20px 30px;
  background-color: var(--bs-primary);
  border-radius: 6px;
  box-shadow: 6px 10px 30px rgba(0, 0, 0, 0.2);
}

/* Jahr */
.year {
  position: relative;
  font-size: 20px;
  font-weight: bold;
  color: var(--bs-text);
  margin-top: -30px;
  /* margin-bottom: 30px; */
}

@media (min-width: 600px) {

  .timeline {
    padding-bottom: 50px;
  }

  .timeline::after,
  .timeline::before {
    left: 50%;
    margin-left: -3px;
    top: 20px;
  }

  .timeline-container {
    width: 50%;
    padding: 0px 40px 100px;
    position: relative;
  }

  .timeline-container::before {
  display: none;
}

  .content {
    position: relative;
  }

  .left {
    left: 0;
  }

  .right {
    left: 50%;
  }

  .timeline-container::after {
    left: auto;
    right: -17px;
    top: 15px;
    transform: none;
  }

  .right::after {
    left: -16px;
    right: auto;
  }

  .left .content::before {
    content: "";
    position: absolute;
    top: 22px;
    right: -10px;
    border: medium solid var(--bs-primary);
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent var(--bs-primary);
  }

  .right .content::before {
    content: "";
    position: absolute;
    top: 22px;
    left: -9px;
    border: medium solid var(--bs-primary);
    border-width: 10px 10px 10px 0;
    border-color: transparent var(--bs-primary) transparent transparent;
  }

  .left .content {
    box-shadow: -6px 10px 30px rgba(0, 0, 0, 0.2);
  }

  .right .content {
    box-shadow: 6px 10px 30px rgba(0, 0, 0, 0.2);
  }

  .year {
    position: absolute;
    top: 20px;
    margin: 0;
  }

  .left .year {
    right: -100px;
    text-align: left;
  }

  .right .year {
    left: -100px;
    text-align: right;
  }
}

/* ==============================
   Team
============================== */
.team-grid {
  display: grid;
  grid-template-columns: 1fr;
  /* Mobile-First 1 Spalte */
  gap: 2rem;
  max-width: 1200px;
  margin: auto;
  padding: 2rem;
}

.item {
  text-align: center;
}

.item img {
  width: 100%;
  aspect-ratio: 2/3;
  object-fit: cover;
  border-radius: 8px;
}

.name {
  margin-top: 0.5rem;
  font-weight: 700;
}

@media (min-width: 400px) {
  .name {
  font-size: smaller;
  }

  .team-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 600px) {
  .team-grid {
    grid-template-columns: repeat(6, 1fr);
  }

  .item:nth-child(1) {
    grid-column: 2 / span 2;
  }

  .item:nth-child(2) {
    grid-column: 4 / span 2;
  }

  .item:nth-child(3) {
    grid-column: 1 / span 2;
  }

  .item:nth-child(4) {
    grid-column: 3 / span 2;
  }

  .item:nth-child(5) {
    grid-column: 5 / span 2;
  }

  .item:nth-child(6) {
    grid-column: 2 / span 2;
  }

  .item:nth-child(7) {
    grid-column: 4 / span 2;
  }
}

/* ==============================
   Carousel
============================== */

.carousel-inner {
  height: 65vh;
  position: relative;
}

.carousel-item {
  height: 100%;
}

.carousel-item img {
  height: 100%;
  object-fit: cover;
}

.carousel-control-prev, .carousel-control-next {
  color: #fff;
  opacity: 1;
  z-index: 3;
}

.carousel-control-prev:hover, .carousel-control-next:hover {
  background-color: rgba(49, 49, 49, 0.8);
}

.carousel-control-next-icon, .carousel-control-prev-icon {
  width: 3rem;
  height: 3rem;
}

.carousel-indicators [data-bs-target] {
  height: 5px;
}

.carousel-inner::before,
.carousel-inner::after {
  content: "";
  position: absolute;
  top: 0;
  width: 25%; /* Breite der dunklen Fläche an den Seiten */
  height: 100%;
  z-index: 2; /* über dem Bild, unter den Pfeilen */
  pointer-events: none; /* Overlay blockiert keine Klicks */
}

.carousel-inner::before {
  left: 0;
  background: linear-gradient(to right, rgba(0,0,0,0.3), rgba(0,0,0,0));
}

.carousel-inner::after {
  right: 0;
  background: linear-gradient(to left, rgba(0,0,0,0.3), rgba(0,0,0,0));
}


/* ==============================
   Helper
============================== */
.download {
  text-decoration: underline;
  text-decoration-color: var(--bs-primary);
}

.download:hover {
  text-decoration-thickness: 4px;
  text-decoration-color: var(--bs-primary);
}

#kontakt {
  scroll-margin-top: 100px;
}

.space-t {
  margin-top: 5rem;
}

.space-b {
  margin-bottom: 6rem;
}

/* ==============================
   Youtube
============================== */

.video-row {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.treuhand img {
  max-width: 120px;
  height: auto;
}

.yt-frame {
  width: 100%;
  height: 100%;
}

.yt-wrapper {
  width: 100%;
  max-width: 560px;
  aspect-ratio: 16 / 9;
  background-color: #000;
}

.yt-consent {
  color: #fff;
  height: 100%;
  padding: 20px;
  box-sizing: border-box;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.yt-title {
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 14px;
}

.yt-consent p {
  font-size: 14px;
  line-height: 1.4;
  margin-bottom: 14px;
}

.yt-consent button {
  padding: 10px 18px;
  font-size: 14px;
  cursor: pointer;
  border: none;
  background: #e62117;
  color: #fff;
  border-radius: 4px;
}

.yt-consent button:hover {
  background: #cc1f16;
}

@media (min-width: 768px) {
  .video-row {
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    gap: 24px;
  }

  .yt-wrapper {
    width: 560px;
    height: 315px;
  }
}
